Skip to content

Get Receipt PDF (Post-MVP)

Request

Post-MVP. Download the receipt as a PDF document. PDF generation and S3 storage are not included in the MVP release.

Security
OAuth2
Path
receiptIdstring, (uuid)required
Query
entityIdinteger, (int64)required

Merchant/tenant identifier for tenant isolation

curl -i -X GET \
  'https://docs.nelnetpay.com/_mock/apis/receipts-service/{receiptId}/pdf?entityId=0' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

PDF document

Headers
Content-Dispositionstring
Example:"attachment; filename=\"RCP-2026-00001.pdf\""
Bodyapplication/pdf
string, (binary)
Response
string